catalog:
  title: Runnable Robobench Tum Ardrone Profile

templates:
- freestyle
- base
- runnable

variables:
  description: FSMT test for strands grasping nightly
  keywords:
  - fsmt
  - testing
  - robobench
  - robobench-alpha
  maintainer: Jonathan Weisz

  branches:
  - master

  extra-requires:
  - nature: cmake
    target: robobench-exp-reem-experiments

  shell.command: |
    #!/bin/bash
    source $toolkit_dir/setup.bash;
    source $toolkit_dir/catkin_ws/devel/setup.bash --extend;
    export USER=jweisz
    export PATH=$toolkit_dir/bin/:$PATH;
    export PYTHONPATH=$PYTHONPATH:$toolkit_dir/lib/python2.7/site-packages:$toolkit_dir/lib/python2.7/dist-packages;
    fsmt_iniparser -o $toolkit_dir/etc/robobench-experiments/tum-simulation/tum-ardrone-profile.scxml $toolkit_dir/etc/robobench-experiments/tum-simulation/tum-ardrone-profile.ini;
    fsmt $toolkit_dir/etc/robobench-experiments/tum-simulation/tum-ardrone-profile.scxml;
